Portlet API (V0.7.1) : Interface ActionResponse

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface ActionResponse

All Superinterfaces:
  PortletResponse

public interface ActionResponse
extends PortletResponse

The `ActionResponse` interface represents the portlet response to an action request, the invocation of the processAction method.

See Also:
  `ActionRequest`, `PortletResponse`

Method Summary
`void` | `sendRedirect(java.lang.String location)` Instructs the portlet container to send a redirect response to the client using the specified redirect location URL.
`void` | `setPortletMode(PortletMode portletMode)` Sets the portlet mode of a portlet to the given portlet mode.
`void` | `setRenderParameter(java.lang.String key, java.lang.String value)` Sets a String parameter for the render request.
`void` | `setRenderParameter(java.lang.String key, java.lang.String[] values)` Sets a String array parameter for the render request.
`void` | `setRenderParameters(java.util.Map parameters)` Sets a parameter map for the render request.
`void` | `setWindowState(WindowState windowState)` Sets the window state of a portlet to the given window state.

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Method Detail

### setWindowState

    public void setWindowState(WindowState windowState)
                        throws WindowStateException

  Sets the window state of a portlet to the given window state.

  Possible values are the standard window states and any custom window states supported by the portal and the portlet. Standard window states are:

  - MINIMIZED
  - NORMAL
  - MAXIMIZED
  Parameters:
    `windowState` - the new portlet window state
  Throws:
    `WindowStateException` - if the portlet cannot switch to the specified window state. To avoid this exception the portlet can check the allowed window states with `Request.isWindowStateAllowed()`.
    `java.lang.IllegalStateException` - if the method is invoked after `sendRedirect`chas been called.
  See Also:
    `WindowState`

### setPortletMode

    public void setPortletMode(PortletMode portletMode)
                        throws PortletModeException

  Sets the portlet mode of a portlet to the given portlet mode.

  Possible values are the standard portlet modes and any custom portlet modes supported by the portal and the portlet. Portlets must declare in the deployment descriptor the portlet modes they support for each markup type. Standard portlet modes are:

  - EDIT
  - HELP
  - VIEW

  Note: The portlet may still be called in a different window state in the next render call, depending on the portlet container / portal.

  Parameters:
    `portletMode` - the new portlet mode
  Throws:
    `PortletModeException` - if the portlet cannot switch to this portlet mode, because the portlet or portal does not support it for this markup, or the current user is not allowed to switch to this portlet mode. To avoid this exception the portlet can check the allowed portlet modes with `Request.isPortletModeAllowed()`.
    `java.lang.IllegalStateException` - if the method is invoked after `sendRedirect`chas been called.

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Instructs the portlet container to send a redirect response to the client using the specified redirect location URL.

  This method only accepts full or full path URLs. If required, the portlet container may encode the given URL before the redirection is issued to the client.

  The sendRedirect method can not be invoked after any of the following methods of the ActionResponse interface has been called:

  - setPortletMode
  - setWindowState
  - setRenderParameter
  - setRenderParameters
  Parameters:
    `location` - the redirect location URL
  Throws:
    `java.io.IOException` - if an input or output exception occurs.
    `java.lang.IllegalArgumentException` - if a relative path URL is given
    `java.lang.IllegalStateException` - if the method is invoked after any of above mentioned methods of the ActionResponse interface has been called.

### setRenderParameters

    public void setRenderParameters(java.util.Map parameters)

  Sets a parameter map for the render request.

  All previously set render parameters are cleared.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a new request is targeted to the portlet.

  The given parameters do not need to be encoded prior to calling this method.

  Parameters:
    `parameters` - Map containing parameter names for the render phase as keys and parameter values as map values. The keys in the parameter map must be of type String. The values in the parameter map must be of type String array (`String[]`).
  Throws:
    `java.lang.IllegalArgumentException` - if parameters is `null`.

### setRenderParameter

    public void setRenderParameter(java.lang.String key,
                                   java.lang.String value)

  Sets a String parameter for the render request.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a request is targeted to the portlet.

  This method resets all parameters with the same key.

  The given parameter do not need to be encoded prior to calling this method.

  Parameters:
    `key` - key of the render parameter
    `value` - value of the render parameter
  Throws:
    `java.lang.IllegalArgumentException` - if key or value is `null`.

### setRenderParameter

    public void setRenderParameter(java.lang.String key,
                                   java.lang.String[] values)

  Sets a String array parameter for the render request.

  These parameters will be accessible in all sub-sequent render calls via the `PortletRequest.getParameter` call until a request is targeted to the portlet.

  This method resets all parameters with the same key.

  The given parameter do not need to be encoded prior to calling this method.

  Parameters:
    `key` - key of the render parameter
    `values` - values of the render parameter
  Throws:
    `java.lang.IllegalArgumentException` - if key or value is `null`.

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD